function::user_long_error
Prev | Chapter 25. String and data retrieving functions Tapset | Next

## Name

function::user_long_error — Retrieves a long value stored in user space

## Synopsis

        user_long_error:long(addr:long)

## Arguments

`addr`

  the user space address to retrieve the long from

## Description

Returns the long value from a given user space address. If the user space data is not accessible, an error will occur. Note that the size of the long depends on the architecture of the current user space task (for those architectures that support both 64/32 bit compat tasks).

Prev | Up | Next
function::user_long | Home | function::user_long_warn